astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Astronomical Coordinate Systems (`astropy.coordinates`) »
- GenericFrame

# GenericFrame

class `astropy.coordinates.``GenericFrame`(frame_attrs)

  Bases: `astropy.coordinates.BaseCoordinateFrame`

  A frame object that can’t store data but can hold any arbitrary frame attributes. Mostly useful as a utility for the high-level class to store intermediate frame attributes.

  Parameters:

  frame_attrs : dict

  > A dictionary of attributes to be used as the frame attributes for this frame.

  Attributes Summary

  `default_representation` |
  `frame_specific_representation_info` |
  `name` |

  Attributes Documentation

  `default_representation`
  `frame_specific_representation_info`
  `name` = None